Skip to main content

GET /api/chain/{chain}/tvl

/api/chain/:chain/tvl

GET tvl data from chain service

Endpoint​

GET https://api.web3identity.com/api/chain/{chain}/tvl

Example Request​

curl -s "https://api.web3identity.com/api/chain/:chain/tvl" | jq

Responses​

200 Success​

{
"name": "Aave",
"slug": "aave",
"tvl": 27800000000,
"change24h": 2.5,
"change7d": 8.3,
"chains": [
"ethereum",
"polygon",
"arbitrum",
"avalanche"
],
"category": "Lending",
"description": "Decentralized lending protocol",
"url": "https://aave.com",
"twitter": "@AaveAave",
"audit": true,
"auditLinks": [
"https://aave.com/security"
]
}

400 Bad request - invalid parameters​

{
"example": "response"
}

402 Payment required - free tier exhausted​

{
"example": "response"
}

404 Resource not found​

{
"example": "response"
}

429 Rate Limited​

{
"example": "response"
}

500 Internal Server Error - Something went wrong on our end​

{
"error": "Internal server error",
"code": "INTERNAL_ERROR"
}

Auto-generated from OpenAPI spec